perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mwei...@sfu.ca
Subject Re: First time being here, Need Big help here!
Date Mon, 09 Jul 2007 09:19:00 GMT
In the sentence "> Do note that modperl1" is that mod_perl 1.x or is that an
extra 'el'?  i assume mod_perl 2 works with apache 2.x


On Mon, 09 Jul 2007 11:11:13 +0800 jhfoo-ml@extracktor.com wrote:
> I doubt. Apache2 is a major overhaul. You're better off installing 
> apache2 or 2.2 from scratch.
> 
> Do note that modperl1 is not compatible with apache 2.
> 
> Xin Chen wrote:
> > Can I just update from apache1.3 to apache 2, and modperl 2 ? I will 
> > try this.
> > Thanks!
> >
> > Foo JH wrote:
> >
> >> I'm not too good with Debian either, but since you're installing a 
> >> new OS, my guess is you can also choose the version of the 
> >> applications as well.
> >>
> >> Try installing Apache 2 or 2.2 with modperl 2, instead of Apache 1.3 
> >> + modperl. The latter is running on legacy support now.
> >>
> >> Xin Chen wrote:
> >>
> >>> Hi All,
> >>>
> >>> Finally I find this place, I think it is the right place for me to 
> >>> solve this issue, here it is:
> >>>
> >>> My system: VMware Virtual System:
> >>>
> >>> brainzvm:~# uname -a
> >>> Linux brainzvm 2.6.18-4-686 #1 SMP Mon Mar 26 17:17:36 UTC 2007 i686 
> >>> GNU/Linux
> >>> apache-perl 1.3 web server
> >>> Debian Linux
> >>>
> >>> I got the following errors when I was trying to setup a debian web 
> >>> server.
> >>>
> >>> [Thu Jul	5 18:53:42 2007] [error] Undefined subroutine 
> >>> &MusicBrainz::Server::Handlers::WS::1::Auth::handler called.\n
> >>> Cache MISS on istagger-192.168.11.1 at 
> >>>
> /home/httpd/musicbrainz/mb_server/cgi-bin/MusicBrainz/Server/Handlers.pm 
> >>> line 274
> >>> [Thu Jul	5 18:53:43 2007] [error] Can't locate 
> >>> Apache/AuthDigest/API.pm in @INC (@INC contains: 
> >>> /home/httpd/musicbrainz/mb_server/cgi-bin /etc/perl 
> >>> /usr/local/lib/perl/5.8.8 /usr/local/share/perl/5.8.8 /usr/lib/perl5 
> >>> /usr/share/perl5 /usr/lib/perl/5.8 /usr/share/perl/5.8 
> >>> /usr/local/lib/site_perl /usr/local/lib/perl/5.8.7 
> >>> /usr/local/share/perl/5.8.7 . /etc/apache-perl/ 
> >>> /etc/apache-perl/lib/perl) at 
> >>>
> /home/httpd/musicbrainz/mb_server/cgi-bin/MusicBrainz/Server/Handlers/W
> S/1/Auth.pm 
> >>> line 32.\nBEGIN failed--compilation aborted at 
> >>>
> /home/httpd/musicbrainz/mb_server/cgi-bin/MusicBrainz/Server/Handlers/W
> S/1/Auth.pm 
> >>> line 32.\nCompilation failed in require at (eval 239) line 3.\n
> >>>
> >>> Then I tried to install Apache::AuthDigest.
> >>> #cpan
> >>> #install Apache::AuthDigest
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1121: 
> >>> error: expected ')' before '*' token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1140: 
> >>> error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' 
> >>> token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1141: 
> >>> error: expected ')' before '*' token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1142: 
> >>> error: expected ')' before '*' token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1143: 
> >>> error: expected ')' before '*' token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1147: 
> >>> error: expected ')' before '*' token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1149: 
> >>> error: expected ')' before '*' token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1150: 
> >>> error: expected ')' before '*' token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1155: 
> >>> error: expected ')' before '*' token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1156: 
> >>> error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' 
> >>> token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1157: 
> >>> error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' 
> >>> token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1160: 
> >>> error: expected ')' before '*' token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1161: 
> >>> error: expected ')' before '*' token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1165: 
> >>> error: expected ')' before '*' token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1170: 
> >>> error: expected ')' before '*' token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1173: 
> >>> error: expected declaration specifiers or '...' before 'server_rec'
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1174: 
> >>> error: expected ')' before '*' token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1175: 
> >>> error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' 
> >>> token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1267: 
> >>> error: expected ')' before '*' token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1269: 
> >>> error: expected ')' before '*' token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1270: 
> >>> error: expected ')' before '*' token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1281: 
> >>> error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' 
> >>> token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1282: 
> >>> error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' 
> >>> token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1283: 
> >>> error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' 
> >>> token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1284: 
> >>> error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' 
> >>> token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1290: 
> >>> error: expected ')' before '*' token
> >>> /usr/lib/perl5/auto/Apache/include/modules/perl/mod_perl.h:1291: 
> >>> error: expected ')' before '*' token
> >>> API.c: In function 
> >>> 'XS_Apache__AuthDigest__API_note_digest_auth_failure':
> >>> API.c:24: error: 'Apache' undeclared (first use in this function)
> >>> API.c:24: error: (Each undeclared identifier is reported only once
> >>> API.c:24: error: for each function it appears in.)
> >>> API.c:24: error: expected ';' before 'r'
> >>> API.c:26: error: 'r' undeclared (first use in this function)
> >>> make[1]: *** [API.o] Error 1
> >>> make[1]: Leaving directory 
> >>> `/root/.cpan/build/Apache-AuthDigest-0.022/API'
> >>> make: *** [subdirs] Error 2
> >>> /usr/bin/make  -- NOT OK
> >>> Running make test
> >>> Can't test without successful make
> >>> Running make install
> >>> make had returned bad status, install seems impossible
> >>>
> >>> Can anyone help me how to fix this and install AuthDigest????
> >>>
> >>> by the way, I am not so good with Debian.
> >>>
> >>> Thanks a lot!!
> >>> xin
> >>>
> >>
> >
> 
> 

Mime
View raw message